Skip to content

Validate a delivery selection

POST
/api/public/delivery/validate
curl --request POST \
--url 'https://api.usegro.co/api/public/delivery/validate?delivery_date=example&slot_id=example&country_code=example&shop=example'
delivery_date
required
string
slot_id
required
string
country_code
required
string
state_code
string
postcode
string
shop
required
string

Delivery validation result

Media typeapplication/json

Example

{
"valid": true
}

Bad request

Media typeapplication/json

Example

{
"error": "Validation failed",
"messages": [
"..."
]
}